<?php

namespace App/Models;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class Module extends Eloquent {

	protected $table = 'modules';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];
	protected $fillable = array('module_name', 'module_volume_horaire', 'seuil_reussite', 'seuil_absence', 'description', 'is_archived');

}